Tools used by OpenStack Documentation
Du kan inte välja fler än 25 ämnen Ämnen måste starta med en bokstav eller siffra, kan innehålla bindestreck ('-') och vara max 35 tecken långa.
Zuul 2b275421b0 Merge "Remove openstack-jsoncheck and openstack-indexpage" 2 månader sedan
bin Cleanup doc-tools-check-languages 3 månader sedan
doc/source Merge "Remove some commented obsolete lines" 2 månader sedan
os_doc_tools Remove openstack-jsoncheck and openstack-indexpage 2 månader sedan
releasenotes Remove openstack-jsoncheck and openstack-indexpage 2 månader sedan
sitemap Update docs building 3 månader sedan
test Remove openstack-jsoncheck and openstack-indexpage 2 månader sedan
.gitignore Switch to stestr 1 år sedan
.gitreview OpenDev Migration Patch 6 månader sedan
.mailmap Add .mailmap 5 år sedan
.stestr.conf Switch to stestr 1 år sedan
.zuul.yaml Add Python 3 Train unit tests 4 månader sedan
CONTRIBUTING.rst Note to add 'jinja2' and 'markupsafe' to requirements 3 år sedan
HACKING.rst Fix URLs 2 år sedan
LICENSE Add LICENSE and README.rst 6 år sedan
README.rst Replace git.openstack.org URLs with opendev.org URLs 6 månader sedan
RELEASE_NOTES.rst Fix URLs 2 år sedan
bindep.txt add lower-constraints job 1 år sedan
lower-constraints.txt Update docs building 3 månader sedan
requirements.txt Update docs building 3 månader sedan
setup.cfg Remove openstack-jsoncheck and openstack-indexpage 2 månader sedan
setup.py Updated from global requirements 2 år sedan
test-requirements.txt Update docs building 3 månader sedan
tox.ini Update docs building 3 månader sedan

README.rst

Team and repository tags

image

OpenStack Doc Tools

This repository contains tools used by the OpenStack Documentation project.

For more details, see the OpenStack Documentation Contributor Guide.

Prerequisites

You need to have Python 2.7 installed for using the tools.

This package needs a few external dependencies including lxml. If you do not have lxml installed, you can either install python-lxml or have it installed automatically and build from sources. To build lxml from sources, you need a C compiler and the xml and xslt development packages installed.

To install python-lxml, execute the following based on your distribution.

On Fedora, RHEL 7, and CentOS 7:

$ yum install python-lxml

On openSUSE:

$ zypper in python-lxml

On Ubuntu:

$ apt-get install python-lxml

For building from source, install the dependencies of lxml.

On Fedora, RHEL 7, and CentOS 7:

$ yum install python-devel libxml2-devel libxslt-devel

On openSUSE:

$ zypper in libxslt-devel

On Ubuntu:

$ apt-get install libxml2-dev libxslt-dev